I=(S=PostProcRenderer.ColorDrawExposePoint = function(){
}).prototype;

I.Draw = function(color, dst)
{
    {
        gl.useProgram(this.ColorDraw_quad_prog);
        gl.colorMask(true, true, true, true);
        gl.depthMask(true);
        gl.blendFuncSeparate(Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1));
        gl.enable(3042);
        gl.disable(2884);
        gl.disable(2929);
        gl.frontFace(Uno.Graphics.OpenGL.Interop.PolygonWindingToGLenum(1));
        gl.uniform4fv(this.ColorDraw_quad_PixelColor_6_4_0_lWOnezfqOp, uglFloat4(color));
        gl.enableVertexAttribArray(this.ColorDraw_quad_VertexPosition_NSYbAdOkEY);
        gl.bindBuffer(34962, this.ColorDraw_quad_VertexPosition_NSYbAdOkEY_vbo.GLHandle());
        gl.vertexAttribPointer(this.ColorDraw_quad_VertexPosition_NSYbAdOkEY, 2, 5126, false, 0, 0);

        if (dst != null)
        {
            dst.GLBind();
        }

        gl.bindBuffer(34963, this.ColorDraw_quad_ibo.GLHandle());
        gl.drawElements(Uno.Graphics.OpenGL.Interop.PrimitiveTypeToGLenum(0), this.ColorDraw_quad_Length_tGisjuNYzb, 5123, 0);

        if (dst != null)
        {
            dst.GLUnbind();
        }

        gl.disableVertexAttribArray(this.ColorDraw_quad_VertexPosition_NSYbAdOkEY);
        Uno.Application.IncrementDrawCallCounter(this.ColorDraw_quad_Length_tGisjuNYzb);
    }
};

S.$0 = function(parent, $this) {
    if (!$this) $this = new PostProcRenderer.ColorDrawExposePoint;
    {
        $this.parent = parent;
    }

    {
        $this.ColorDraw_quad_ibo = Uno.Graphics.IndexBuffer.$0($this.parent.indices.length * 2, false);
        $this.ColorDraw_quad_ibo.SetData(new Uint16Array($this.parent.indices));
        $this.ColorDraw_quad_VertexPosition_NSYbAdOkEY_vbo = Uno.Graphics.VertexBuffer.$0($this.parent.vertices.length * 8, false);
        $this.ColorDraw_quad_VertexPosition_NSYbAdOkEY_vbo.SetData(uglFloat2Array($this.parent.vertices, ($this.parent.vertices.length * 8)/8));
        $this.ColorDraw_quad_Length_tGisjuNYzb = $this.parent.indices.length;
    }

    $this.ColorDraw_quad_vs = uglCompileShader(35633, "PostProcRenderer_ColorDrawExposePoint_ColorDraw_quad_vs", "attribute vec2 VertexPosition_NSYbAdOkEY;\n\nvoid main(void)\n{\n\tvec4 VertexPosition_2_21_0 = vec4(VertexPosition_NSYbAdOkEY, 0.0, 1.0);\n\tvec4 ClipPosition_2_22_0 = VertexPosition_2_21_0;\n\tgl_Position = VertexPosition_2_21_0;\n}\n");
    $this.ColorDraw_quad_ps = uglCompileShader(35632, "PostProcRenderer_ColorDrawExposePoint_ColorDraw_quad_ps", "uniform vec4 PixelColor_6_4_0_lWOnezfqOp;\n\nvoid main(void)\n{\n\tgl_FragColor = PixelColor_6_4_0_lWOnezfqOp;\n}\n");
    $this.ColorDraw_quad_prog = uglLinkProgram($this.ColorDraw_quad_vs, $this.ColorDraw_quad_ps);
    $this.ColorDraw_quad_VertexPosition_NSYbAdOkEY = gl.getAttribLocation($this.ColorDraw_quad_prog, "VertexPosition_NSYbAdOkEY");
    $this.ColorDraw_quad_PixelColor_6_4_0_lWOnezfqOp = gl.getUniformLocation($this.ColorDraw_quad_prog, "PixelColor_6_4_0_lWOnezfqOp");
    return $this;
};
